package edu.whut.infrastructure.gateway;

import edu.whut.infrastructure.gateway.dto.ProductDTO;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;

@Service
public class ProductRPC {

    /**
     * 模拟调用外部商城获取商品信息
     */
    public ProductDTO queryProductByProductId(String productId){
        ProductDTO productVO = new ProductDTO();
        productVO.setProductId(productId);
        productVO.setProductName("MyBatisBook");
        productVO.setProductDesc("MyBatisBook");
        productVO.setPrice(new BigDecimal("100.00"));
        return productVO;
    }

}
